import pick from 'lodash/pick';
import {IdModel} from './id.model';
import {BaseModel} from './base.model';

export class MaterialModel extends BaseModel {
	_id: IdModel = null;
	name = '';
	supplier = '';
	group = '';
	properties: {material_template: string, [prop: string]: string} = {material_template: null};
	numbers: string[] = [''];
	selected = false;
	status = '';

	sendFormat() {
		return pick(this, ['name', 'supplier', 'group', 'numbers', 'properties']);
	}
}
